<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!-- Generated by JAX-WS RI at http://jax-ws.dev.java.net. RI's version is JAX-WS RI 2.1.3.1-hudson-749-SNAPSHOT. -->
<definitions targetNamespace="http://ejb.workorderses.mfg.jent.spec.org" xmlns:tns="http://ejb.workorderses.mfg.jent.spec.org" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://schemas.xmlsoap.org/wsdl/">
  <types>
    <xsd:schema>
      <xsd:import namespace="http://ejb.workorderses.mfg.jent.spec.org" schemaLocation="WorkOrderWebService_schema1.xsd"/>
    </xsd:schema>
  </types>
  <message name="getAllWorkOrders">
    <part name="parameters" element="tns:getAllWorkOrders"/>
  </message>
  <message name="getAllWorkOrdersResponse">
    <part name="parameters" element="tns:getAllWorkOrdersResponse"/>
  </message>
  <message name="findWorkOrder">
    <part name="parameters" element="tns:findWorkOrder"/>
  </message>
  <message name="findWorkOrderResponse">
    <part name="parameters" element="tns:findWorkOrderResponse"/>
  </message>
  <message name="getWorkOrdersByStatus">
    <part name="parameters" element="tns:getWorkOrdersByStatus"/>
  </message>
  <message name="getWorkOrdersByStatusResponse">
    <part name="parameters" element="tns:getWorkOrdersByStatusResponse"/>
  </message>
  <message name="scheduleWorkOrder">
    <part name="parameters" element="tns:scheduleWorkOrder"/>
  </message>
  <message name="scheduleWorkOrderResponse">
    <part name="parameters" element="tns:scheduleWorkOrderResponse"/>
  </message>
  <message name="scheduleWorkOrderByDate">
    <part name="parameters" element="tns:scheduleWorkOrderByDate"/>
  </message>
  <message name="scheduleWorkOrderByDateResponse">
    <part name="parameters" element="tns:scheduleWorkOrderByDateResponse"/>
  </message>
  <message name="scheduleWorkOrderBySalesId">
    <part name="parameters" element="tns:scheduleWorkOrderBySalesId"/>
  </message>
  <message name="scheduleWorkOrderBySalesIdResponse">
    <part name="parameters" element="tns:scheduleWorkOrderBySalesIdResponse"/>
  </message>
  <message name="completeWorkOrder">
    <part name="parameters" element="tns:completeWorkOrder"/>
  </message>
  <message name="completeWorkOrderResponse">
    <part name="parameters" element="tns:completeWorkOrderResponse"/>
  </message>
  <message name="cancelWorkOrder">
    <part name="parameters" element="tns:cancelWorkOrder"/>
  </message>
  <message name="cancelWorkOrderResponse">
    <part name="parameters" element="tns:cancelWorkOrderResponse"/>
  </message>
  <message name="updateWorkOrder">
    <part name="parameters" element="tns:updateWorkOrder"/>
  </message>
  <message name="updateWorkOrderResponse">
    <part name="parameters" element="tns:updateWorkOrderResponse"/>
  </message>
  <portType name="WorkOrderWebService">
    <operation name="getAllWorkOrders">
      <input message="tns:getAllWorkOrders"/>
      <output message="tns:getAllWorkOrdersResponse"/>
    </operation>
    <operation name="findWorkOrder">
      <input message="tns:findWorkOrder"/>
      <output message="tns:findWorkOrderResponse"/>
    </operation>
    <operation name="getWorkOrdersByStatus">
      <input message="tns:getWorkOrdersByStatus"/>
      <output message="tns:getWorkOrdersByStatusResponse"/>
    </operation>
    <operation name="scheduleWorkOrder">
      <input message="tns:scheduleWorkOrder"/>
      <output message="tns:scheduleWorkOrderResponse"/>
    </operation>
    <operation name="scheduleWorkOrderByDate">
      <input message="tns:scheduleWorkOrderByDate"/>
      <output message="tns:scheduleWorkOrderByDateResponse"/>
    </operation>
    <operation name="scheduleWorkOrderBySalesId">
      <input message="tns:scheduleWorkOrderBySalesId"/>
      <output message="tns:scheduleWorkOrderBySalesIdResponse"/>
    </operation>
    <operation name="completeWorkOrder">
      <input message="tns:completeWorkOrder"/>
      <output message="tns:completeWorkOrderResponse"/>
    </operation>
    <operation name="cancelWorkOrder">
      <input message="tns:cancelWorkOrder"/>
      <output message="tns:cancelWorkOrderResponse"/>
    </operation>
    <operation name="updateWorkOrder">
      <input message="tns:updateWorkOrder"/>
      <output message="tns:updateWorkOrderResponse"/>
    </operation>
  </portType>
</definitions>

